Issues

Issue #13 wontfix

Latest version has no configure file...

vvanhee
created an issue

I'm probably just too inexperienced to understand what is going on and how to compile without a ./configure file, but it appears that the latest release of the library has no configure file. How do I compile?

Never mind -- I needed to install cmake!

Comments (9)

  1. Anonymous

    I am on the same page. With little to no experience, how do I install without the ./configure?

  2. Anonymous

    OK. Here is what you do: From https://discussions.apple.com/thread/2815917?start=15&tstart=0

    1) Download the source for libgd from: https://bitbucket.org/pierrejoye/gd-libgd/overview

    2) Extract the tar ball

    3) Edit the file src/configure.ac and remove the 4 lines that start with 'AM_ICONV'

    4) Go into the src directory and run: "ln -s ../config config" and "ln -s ../test test"

    5) Now (still in src) run "sh bootstrap.sh"

    6) Now (still in src) run "autoreconf -fvi"

    (Hopefully you have had no errors by this point)

    7) Now (still in src) run "./configure"

  3. L X

    sorry, I know it's been a while since this thread was active, but I'm running into the same problem with the latest version and the previous fix doesn't seem to work (running "In -s ../config config" and "ln -s ../test test" does nothing and "sh bootstrap.sh" or "autoreconf -fvi" are not found. help?

  4. Log in to comment